## statsmodels 0.2.0+bzr1990

=== debian/changelog ===
statsmodels (0.2.0+bzr1990-1~lenny.nd1) lenny; urgency=low

  * Backport of Debian package version 0.2.0+bzr1990-1 for NeuroDebian.
    Problems with the backport should be reported to the NeuroDebian
    maintainers and not to the original Debian maintainer.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 07 May 2010 12:47:57 -0400

statsmodels (0.2.0+bzr1990-1) unstable; urgency=low

  * Initial release (Closes: #570604)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 May 2010 23:02:18 -0400
