## statsmodels 0.3.1

=== debian/changelog ===
statsmodels (0.3.1-2) unstable; urgency=low

  * debian/copyright: extended list of copyrights/licenses. Thanks to
    Luca Falavigna for the thorough review
  * debian/rules: remove shipped COPYING files due to duplication of
    debian/copyright
  * Initial release -- upload to Debian (Closes: #570604)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Aug 2011 23:23:37 +0200

statsmodels (0.3.1-1) UNRELEASED; urgency=low

  * Added get-orig-source rule to fetch from github using uscan
  * Upload to Debian was rejected

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Aug 2011 23:14:01 +0200

statsmodels (0.3.0-1) neurodebian; urgency=low

  * Upstream release -- upload to Debian proper is pending the removal of
    WFS dataset (research only restriction)
  * debian/copyright: expanded to mention copyrights for the included
    datasets, adjusted BSD-3 license text to use project's name instead
    of "stock" regents.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Jul 2011 22:40:18 -0400

statsmodels (0.3.0~rc2+4-gc78fbe1-1) UNRELEASED; urgency=low

  * Upstream snapshot post RC2:
    - upstream moved to GIT, Debian packaging repository reinitilized
      borrowing debian/ branch from previous one (git-bzr imported)
  * debian/control: boosted policy to 3.9.2 -- no changes
  * debian/watch: fetch from github

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Jul 2011 22:43:21 -0400

statsmodels (0.3.0~bzr20110330-1) neurodebian; urgency=low

  * Fresh snapshot of BZR 0.3-devel series
  * Initial upload to Debian was rejected due to data licensing issues

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 29 Mar 2011 17:48:04 -0400

statsmodels (0.2.0+bzr1990-1) neurodebian; urgency=low

  * Initial release -- rejected due to full list of copyrights

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 06 May 2010 23:02:18 -0400
