## statsmodels 0.4.0

=== debian/changelog ===
statsmodels (0.4.0-2) unstable; urgency=low

  * Removed python-rpy from Recommends to avoid pulling Rtillery with
    with the default installation of statsmodels and pandas, since rpy apparently
    is mentioned only in some legacy code
  * Added patch up_versioncomparison_with_rc to "cherry-pick" 45ee896 for
    robust version comparison with rc versions of numpy/scipy

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 May 2012 20:40:37 -0400

statsmodels (0.4.0-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 May 2012 09:34:58 -0400

statsmodels (0.4.0~rc2+git6-g756f2d0-1) experimental; urgency=low

  * Fresh upstream pre-release
    - all patches dropped (upstreamed)
    - scikits. name space is getting deprecated:
      - python-scikits.statsmodels is provided to ease code transition
      - python-statsmodels-doc replaces python-scikits.statsmodels-doc
    - python-statsmodels-lib is introduced to carry arch-dependent
      extensions
  * debian/copyright:
    - entry for statsmodels/stats/libqsturng
  * debian/watch:
    - use githubredir.debian.net
  * debian/{rules,control}
    - rule cythonize to (re-)cythonize .pyx files so they could be
      built on older releases
    - use custom IPython01x available from NeuroDebian on older releases
      to build documentation
    - build-depend on python-all-dev now to build extensions
    - recommend python-joblib

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Apr 2012 08:30:50 -0400

statsmodels (0.3.1-4) unstable; urgency=low

  * Added patch from Ubuntu: fix_test_discrete.patch.  Thanks Michael Terry for
    the patch and Gregor Herrmann for the reminder (Closes: #663986, #648845)
  * upon clean -- remove autogenerated version.py
  * debian/copyright: adjusted for DEP-5
  * debian/control: boosted policy to 3.9.3 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Mar 2012 12:44:27 -0400

statsmodels (0.3.1-3) unstable; urgency=low

  * Few bugfixes:
    - up_broken_imports
    - up_doc_fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 21 Jan 2012 12:07:54 -0500
