=== debian/control ===
Source: statsmodels
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-support (>= 0.6),
               python-all-dev, python-setuptools,
               python-numpy (>= 1:1.4.0),
               python-scipy,
               python-nose,
               python-matplotlib,
               python-sphinx (>= 1.0.6),
               python-pandas,
               ipython (>= 0.12) | ipython01x,
               cython,
Standards-Version: 3.9.3
XS-Python-Version: >= 2.5
Homepage: http://statsmodels.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary

Package: python-statsmodels
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy,
         python-scipy,
         python-statsmodels-lib (>= ${source:Version}),
Recommends: python-pandas,
            python-matplotlib,
            python-nose,
            python-joblib,
Provides: ${python:Provides}
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: Python module for the estimation of statistical models
 statsmodels Python module provides classes and functions for the
 estimation of several categories of statistical models. These
 currently include linear regression models, OLS, GLS, WLS and GLS
 with AR(p) errors, generalized linear models for six distribution
 families and M-estimators for robust linear models. An extensive list
 of result statistics are available for each estimation problem.

Package: python-statsmodels-lib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-numpy
Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
Description: low-level implementations and bindings for statsmodels
 This package contains architecture dependent extensions for
 python-statsmodels.

Package: python-statsmodels-doc
Conflicts: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Replaces: python-scikits-statsmodels-doc, python-scikits.statsmodels-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-statsmodels
Description: documentation and examples for statsmodels
 This package contains HTML documentation and example scripts for
 python-statsmodels.


Package: python-scikits.statsmodels
Depends: python-statsmodels, ${misc:Depends}, ${python:Depends}
Architecture: all
Section: oldlibs
Description: transitional compatibility package for statsmodels migration
 Provides old namespace (scikits.statsmodels) and could be removed if
 dependent code migrated to use statsmodels for clarity of the namespace.
