## statsmodels 0.4.1

=== debian/changelog ===
statsmodels (0.4.1-1) unstable; urgency=low

  * Fresh upstream release
    - dropped up_versioncomparison_with_rc
    - require Python >= 2.6
  * Do fail if unittests fail
  * Added joblib to build-depends since seems could be used during tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 15 Jun 2012 17:57:17 -0400
