## statsmodels 0.4.2

=== debian/changelog ===
statsmodels (0.4.2-1.2) testing; urgency=medium

  * Non-maintainer upload, incorporating changes by Tomasz Buchert.
  * debian/patches/scipy-rvs-interface.patch: Removed again and ...
  * debian/patches/testsuite-fixes.patch: ... folded into this patch, just
    raising a nose.SkipTest() for the problematic test case.
  * debian/patches/testsuite-fixes.patch: Amended for test_discrete.py, also
    skipping this test case via raising a nose.SkipTest(), as it leads to a
    FTBFS error on i386 (Closes: #768695).
 
 -- Michael Banck <mbanck@debian.org>  Sat, 29 Nov 2014 16:19:51 +0100

statsmodels (0.4.2-1.1) testing; urgency=medium

  * Non-maintainer upload.
  * Fixes various problems with build process (Closes: #768695)

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sun, 23 Nov 2014 17:46:48 +0100

statsmodels (0.4.2-1) unstable; urgency=low

  * Fresh upstream release addressing FTBFS across big-endian architectures.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jun 2012 17:26:36 -0400
