=== debian/control ===
--- 
+++ 
@@ -12,10 +12,11 @@
                python-matplotlib,
                python-sphinx (>= 1.0.6),
                python-pandas,
+               python-joblib,
                ipython (>= 0.12) | ipython01x,
                cython,
 Standards-Version: 3.9.3
-XS-Python-Version: >= 2.5
+XS-Python-Version: >= 2.6
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary
