=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	cd build/ && \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
 	 MPLCONFIGDIR=$(CURDIR)/build \
-	 python$* /usr/bin/nosetests -s -v statsmodels || :
+	 python$* /usr/bin/nosetests -s -v statsmodels
 else
 	: # Skip unittests due to nocheck
 endif
