## statsmodels 0.5.0

=== debian/changelog ===
statsmodels (0.5.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/rules
    - assure having $HOME for clean and build operations to avoid crash of
      matplotlib
  * debian/control, debian/rules
    - boost required ipython to 0.13.1 for building documentation
    - add python-zmq explicitly to build-depends for correct IPython
      operation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Aug 2013 23:45:31 -0400

statsmodels (0.5.0~rc1-1) UNRELEASED; urgency=low

  * New upstream snapshot from v0.4.3-1962-g13bbf88 at v0.4.3-1962-
    g13bbf88
    - depends on patsy
  * debian/control
    - requires ipython-notebook for building documentation
      (Build-Depends adjusted)
    - build for Python >= 2.7 due to absent python 2.6 build of pandas
      for wheezy (debian/pyversions removed, use field X-Python-Version) now 
      instead
    - boosted policy to 3.9.4 (no further changes)
  * debian/copyright
    - years adjusted
  * debian/rules
    - migrate to dh_python2 from dh_pysupport

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 01 Aug 2013 09:42:43 -0400
