=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
-               python-support (>= 0.6),
                python-all-dev, python-setuptools,
                python-numpy (>= 1:1.4.0),
                python-scipy,
@@ -13,10 +12,11 @@
                python-sphinx (>= 1.0.6),
                python-pandas,
                python-joblib,
-               ipython (>= 0.12) | ipython01x,
+               ipython-notebook (>= 0.13.1) | ipython01x, python-zmq,
                cython,
-Standards-Version: 3.9.3
-XS-Python-Version: >= 2.6
+               python-patsy,
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/statsmodels.git;a=summary
@@ -27,6 +27,7 @@
          python-numpy,
          python-scipy,
          python-statsmodels-lib (>= ${source:Version}),
+         python-patsy
 Recommends: python-pandas,
             python-matplotlib,
             python-nose,
