=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
 MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
-IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.12 \
+IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.13 \
 				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')
 
 MIN_CYTHONVER = 0.15.1
@@ -26,7 +26,7 @@
 endif
 
 %:
-	dh  $@
+	dh  $@ --with python2
 
 
 cythonize:
@@ -51,26 +51,33 @@
 	: # overriden since testing happens against installed version across
 	: # all supported python versions
 
+# To guarantee HOME existence with mpl 1.3.0
+# See https://github.com/matplotlib/matplotlib/issues/2300
+#     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719384
+$(HOME):
+	mkdir "$@"
 
 # Build docs during build
-override_dh_auto_build:
+override_dh_auto_build: $(HOME)
 	dh_auto_build
 	: # Hardcode backend to Agg to avoid doc build and tests failures
 	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
 
 
-doc-stamp:
+doc-stamp: python-install$(PYVER)
 	: # I: Generate documentation
 	: # Build Documentation -- assure existence of build/html for nodoc
 	mkdir -p build/html
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)$(IPYTHONPATH) \
+	PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*/`:$(CURDIR)$(IPYTHONPATH) \
 	 $(MAKE) -C docs html
 	mv docs/build/* build/
 	rm -rf docs/source/generated/
 endif
 	touch $@
 
+override_dh_auto_clean: $(HOME)
+	dh_auto_clean
 
 override_dh_clean:
 	dh_clean
@@ -118,7 +125,7 @@
 
 
 ## move binary libraries into -lib
-override_dh_pysupport:
+override_dh_python2:
 	: # Move platform-specific libraries into -lib
 	for lib in $$(find $(PACKAGE_ROOT_DIR)/usr -name '*.so'); do \
 	   sdir=$$(dirname $$lib) ; \
@@ -138,7 +145,7 @@
 		mkdir -p $$skbd_; \
 		mv $$skd $$skbd_; \
 	done
-	dh_pysupport
+	dh_python2
 
 # We build documentation only for -indep
 binary-indep: doc-stamp
