## statsmodels 0.5.0+git13-g8e07d34

=== debian/changelog ===
statsmodels (0.5.0+git13-g8e07d34-1ubuntu2) trusty; urgency=medium

  * relax-tests.patch: relax numeric bounds of a failing test on i386

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 14 Mar 2014 00:36:32 +0100

statsmodels (0.5.0+git13-g8e07d34-1ubuntu1) trusty; urgency=medium

  * ignore test failures on non x86 arches, not worth the time debugging

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 13 Mar 2014 23:25:04 +0100

statsmodels (0.5.0+git13-g8e07d34-1) unstable; urgency=low

  * Fresh snapshot of 0.5.x maintenance branch
    - resolved failing test causing to FTBFS (Closes: #730727)
  * debian/control
    - python-cvxopt added to Build-Depends (testing) and Recommends

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Nov 2013 20:17:42 -0500
