=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: statsmodels
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all-dev, python-setuptools,
@@ -15,6 +16,7 @@
                ipython-notebook (>= 0.13.1) | ipython01x, python-zmq,
                cython,
                python-patsy,
+               python-cvxopt,
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
@@ -32,6 +34,7 @@
             python-matplotlib,
             python-nose,
             python-joblib,
+            python-cvxopt,
 Provides: ${python:Provides}
 Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
 Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
