=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
 IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.13 \
 				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')
+ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 MIN_CYTHONVER = 0.15.1
 
@@ -93,6 +94,7 @@
 	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
 
 python-test%: python-install%
+ifneq (,$(filter $(ARCHITECTURE), i386 amd64 x32))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # Run unittests here against installed statsmodels
 	cd build/ && \
@@ -101,6 +103,13 @@
 	 python$* /usr/bin/nosetests -s -v statsmodels
 else
 	: # Skip unittests due to nocheck
+endif
+else
+	: # Run unittests here against installed statsmodels, ignore failures
+	-cd build/ && \
+	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
+	 MPLCONFIGDIR=$(CURDIR)/build \
+	 python$* /usr/bin/nosetests -s -v statsmodels
 endif
