=== debian/changelog ===
statsmodels (0.6.1-4) unstable; urgency=medium

  * Move ipython-notebook and zmq to build-depends-indep since needed only for
    documentation building

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 May 2015 17:29:08 -0400

statsmodels (0.6.1-3) unstable; urgency=medium

  * upload to unstable -- jessie is out
  * debian/control
    - raised minimal cython version to be used to 0.19
    - provide Build-Depends-Indep to separate handling for building
      binary-indep packages, and allow pandoc instead of nodejs
      for extra robustness (thanks Edmund for the hint) (Closes: #770631)
  * debian/{control,rules}
    - Recommend libjs-mathjax and refer to locally installed MathJax.js

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 May 2015 21:12:33 -0400

statsmodels (0.6.1-1) experimental; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 03 Dec 2014 11:06:18 -0500

statsmodels (0.6.0~rc2-1) unstable; urgency=medium

  * Upstream release candidate
  * debian/patches
    - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff redone into
      deb_use_internal_ipythonsphinx_extensions to facilate building
      documentation on older systems
    - up_explicit_path_to_nbgenerate to provide explict path to notebooks
  * debian/rules
    - clean up cythonize.dat
  * debian/control
    - nodejs was added to build-depends (neccessary for docs building)
    - boost policy to 3.9.6 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Oct 2014 19:32:58 -0400

statsmodels (0.5.0+git13-g8e07d34-2) unstable; urgency=medium

  * debian/patches
    - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff
      to resolve FTBFS by using packaged ipython provided
      extensions (Closes: #753232)
    - up_reduce_test_precision to resolve failing
      TestRegressionNM.test_ci_beta2 test on 32bit
  * debian/control
    - suggest -doc package (Closes: #740348)
  * debian/rules
    - exclude testing of the sandbox (let kids do wild things there and 
      mentors keep their hair) -- otherwise test break due to scipy 0.14.0 API
      breakage (f_gen)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 16 Jul 2014 12:03:55 -0400
