=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: statsmodels
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all-dev, python-setuptools,
@@ -10,14 +9,17 @@
                python-scipy,
                python-nose,
                python-matplotlib,
-               python-sphinx (>= 1.0.6),
                python-pandas,
                python-joblib,
-               ipython-notebook (>= 0.13.1) | ipython01x, python-zmq,
                cython,
                python-patsy,
                python-cvxopt,
-Standards-Version: 3.9.4
+Build-Depends-Indep:
+               ipython-notebook (>= 0.13.1) | ipython01x,
+               python-zmq,
+               python-sphinx (>= 1.0.6),
+               nodejs | pandoc,
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
@@ -35,6 +37,7 @@
             python-nose,
             python-joblib,
             python-cvxopt,
+Suggests: python-statsmodels-doc,
 Provides: ${python:Provides}
 Conflicts: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
 Replaces: python-scikits-statsmodels, python-scikits.statsmodels (<< 0.4)
@@ -62,6 +65,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, libjs-jquery
+Recommends: libjs-mathjax
 Suggests: python-statsmodels
 Description: documentation and examples for statsmodels
  This package contains HTML documentation and example scripts for
