=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,8 @@
 IPYTHONVER := $(shell ipython -V || echo 0) # 0.12 is needed to build docs, otherwise use IPython01x
 IPYTHONPATH := $(shell dpkg --compare-versions $(IPYTHONVER) lt 0.13 \
 				 && echo ":/usr/lib/python$(PYVER)/dist-packages/IPython01X" || echo '')
-ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-MIN_CYTHONVER = 0.15.1
+MIN_CYTHONVER = 0.19
 
 ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export OPT+=-g -O0
@@ -73,12 +72,16 @@
 	PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$(PYVER)/*/`:$(CURDIR)$(IPYTHONPATH) \
 	 $(MAKE) -C docs html
 	mv docs/build/* build/
+	: # Fix up links to MathJax to be local
+	grep -l '/mathjax/' -R build/html/examples/notebooks \
+	| xargs sed -i -e 's,https://\S*.com/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
 	rm -rf docs/source/generated/
 endif
 	touch $@
 
 override_dh_auto_clean: $(HOME)
 	dh_auto_clean
+	-rm -f cythonize.dat
 
 override_dh_clean:
 	dh_clean
@@ -94,22 +97,14 @@
 	python$* setup.py install --install-layout=deb --root=$(PACKAGE_ROOT_DIR)
 
 python-test%: python-install%
-ifneq (,$(filter $(ARCHITECTURE), i386 amd64 x32))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # Run unittests here against installed statsmodels
 	cd build/ && \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
 	 MPLCONFIGDIR=$(CURDIR)/build \
-	 python$* /usr/bin/nosetests -s -v statsmodels
+	 python$* /usr/bin/nosetests -s -v --exclude=sandbox statsmodels
 else
 	: # Skip unittests due to nocheck
-endif
-else
-	: # Run unittests here against installed statsmodels, ignore failures
-	-cd build/ && \
-	 PYTHONPATH=`/bin/ls -d $(CURDIR)/$(PACKAGE_ROOT_DIR)/usr/lib/python$*/*/` \
-	 MPLCONFIGDIR=$(CURDIR)/build \
-	 python$* /usr/bin/nosetests -s -v statsmodels
 endif
