=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/g" \
 http://githubredir.debian.net/github/statsmodels/statsmodels/ v(.+).tar.gz
