## statsmodels 0.8.0~rc1+git43-g1ac3f11

=== debian/changelog ===
statsmodels (0.8.0~rc1+git43-g1ac3f11-1) unstable; urgency=medium

  * Snapshot of a new upstream release candidate
    - should resolve some failing tests causing FTBFS (Closes: #837232)
  * debian/patches
    - all changes* were dropped (upstreamed)
    + deb_no_nbformat_for_now - since no nbformat, do not generate ipython
      notebooks for now
  * debian/control
    - boost policy to 3.9.8
    - python-numpydoc to build-depends-indep

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Sep 2016 09:23:49 -0400

statsmodels (0.6.1-10) UNRELEASED; urgency=medium

  * debian/control
    - apparently on e.g. 14.04 we have to depend on pandoc, so making it
      not an alternative to nodejs

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Apr 2016 09:30:57 -0400

statsmodels (0.6.1-9) neurodebian; urgency=medium

  * CP df820642c16d8486e8b676e07675afbbfd4824d8 to stay compatible with older
    versions on nose (precise and alike)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Apr 2016 22:12:50 -0400

statsmodels (0.6.1-8) unstable; urgency=medium

  * Resolving by skipping the very last standing failing test on s390

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 21:42:10 -0400

statsmodels (0.6.1-7) unstable; urgency=medium

  * BF: adjusted changeset_3faba6e002641e95a0c6007c826fabb9c423686e.diff to 
    not use kwarg for compat with elderly pandas. Should resolve FTBFS on
    many platforms still carrying elderly pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Apr 2016 08:42:12 -0400

statsmodels (0.6.1-6) unstable; urgency=medium

  * debian/patches
    - picked up a set of patches to hopefully mitigate compatibility issues
      with elderly pandas available on some platforms

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Apr 2016 18:32:29 -0400

statsmodels (0.6.1-5) unstable; urgency=medium

  * Fixes for compatibility with recent numpy and pandas
    (Closes: #807025, #659405)
  * examples/ were moved out of the module, so now they get manually installed
    under /usr/share/doc/python-statsmodels/examples (Closes: #752977)
  * debian/control
    - policy boosted to 3.9.7
    - removed obsolete transitional package python-scikits.statsmodels
  * debian/watch
    - fixed to use github.com tags directly

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 24 Apr 2016 18:55:01 -0400
