=== debian/control ===
--- 
+++ 
@@ -18,8 +18,10 @@
                ipython-notebook (>= 0.13.1) | ipython01x,
                python-zmq,
                python-sphinx (>= 1.0.6),
-               nodejs | pandoc,
-Standards-Version: 3.9.6
+               python-numpydoc,
+               nodejs,
+               pandoc,
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://statsmodels.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-exppsy/statsmodels.git
@@ -70,12 +72,3 @@
 Description: documentation and examples for statsmodels
  This package contains HTML documentation and example scripts for
  python-statsmodels.
-
-
-Package: python-scikits.statsmodels
-Depends: python-statsmodels, ${misc:Depends}, ${python:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional compatibility package for statsmodels migration
- Provides old namespace (scikits.statsmodels) and could be removed if
- dependent code migrated to use statsmodels for clarity of the namespace.
