=== debian/rules ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	mv docs/build/* build/
 	: # Fix up links to MathJax to be local
 	grep -l '/mathjax/' -R build/html/examples/notebooks \
-	| xargs sed -i -e 's,https://\S*.com/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
+	| xargs -r sed -i -e 's,https://\S*.com/mathjax/latest/MathJax.js,file:///usr/share/javascript/mathjax/MathJax.js,g'
 	rm -rf docs/source/generated/
 endif
 	touch $@
